file_relay_client_free
file_relay_client_new
file_relay_client_start_service
file_relay_client_t
file_relay_error_t
file_relay_request_sources
file_relay_request_sources_timeout
FILE_RELAY_SERVICE_NAME

## file_relay_request_sources()

LIBIMOBILEDEVICE_API file_relay_error_t file_relay_request_sources | ( | file_relay_client_t | client,
|  | const char ** | sources,
|  | idevice_connection_t * | connection )

Request data for the given sources.

Parameters

  client | The connected file_relay client.

  sources

  A NULL-terminated list of sources to retrieve. Valid sources are:
  - AppleSupport
  - Network
  - VPN
  - WiFi
  - UserDatabases
  - CrashReporter
  - tmp
  - SystemConfiguration

  connection | The connection that has to be used for receiving the data using idevice_connection_receive(). The connection will be closed automatically by the device, but use file_relay_client_free() to clean up properly.

Note
  WARNING: Don't call this function without reading the data afterwards. A directory mobile_file_relay.XXXX used for creating the archive will remain in the /tmp directory otherwise.

Returns
  FILE_RELAY_E_SUCCESS on succes, FILE_RELAY_E_INVALID_ARG when one or more parameters are invalid, FILE_RELAY_E_MUX_ERROR if a communication error occurs, FILE_RELAY_E_PLIST_ERROR when the received result is NULL or is not a valid plist, FILE_RELAY_E_INVALID_SOURCE if one or more sources are invalid, FILE_RELAY_E_STAGING_EMPTY if no data is available for the given sources, or FILE_RELAY_E_UNKNOWN_ERROR otherwise.